Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::DDVideoModeList Class Reference

Encapsulates enumeration of DirectDraw video modes. More...

`#include <OgreDDVideoModeList.h>`

List of all members.

## Public Methods

| DDVideoModeList (LPDIRECTDRAW7 lpDD7)
| ~DDVideoModeList ()
BOOL | enumerate (void)
DDVideoMode * | item (int index)
unsigned int | count (void)
| newMode
DDVideoMode * | getClosestMatch (int width, int height, int colourDepth)

## Private Methods

void | AddMode (LPDDSURFACEDESC2 lpDDSurfaceDesc)

## Private Attributes

LPDIRECTDRAW7 | lpDD7
std::vector< DDVideoMode > | mModeList

## Friends

HRESULT CALLBACK | DDEnumModesCallback (LPDDSURFACEDESC2 lpDDSD2, LPVOID lpContext)

## Detailed Description

Encapsulates enumeration of DirectDraw video modes.

Utility class for D3DRenderSystem.

Definition at line 38 of file OgreDDVideoModeList.h.

## Constructor & Destructor Documentation

Ogre::DDVideoModeList::DDVideoModeList | ( | LPDIRECTDRAW7 | lpDD7 | ) |

| Definition at line 52 of file OgreDDVideoModeList.cpp. References enumerate(), and lpDD7.

Ogre::DDVideoModeList::~DDVideoModeList | ( |  | ) |

| Definition at line 65 of file OgreDDVideoModeList.cpp. References mModeList.

## Member Function Documentation

void Ogre::DDVideoModeList::AddMode | ( | LPDDSURFACEDESC2 | lpDDSurfaceDesc | ) | `[private]`

| Definition at line 90 of file OgreDDVideoModeList.cpp. References mModeList. Referenced by Ogre::DDEnumModesCallback().

unsigned int Ogre::DDVideoModeList::count | ( | void |  | ) |

| newMode Definition at line 104 of file OgreDDVideoModeList.cpp. References mModeList. Referenced by getClosestMatch(), Ogre::D3DRenderSystem::initialise(), and Ogre::D3DRenderSystem::refreshDDSettings().

BOOL Ogre::DDVideoModeList::enumerate | ( | void |  | ) |

| Definition at line 76 of file OgreDDVideoModeList.cpp. References DDEnumModesCallback, and lpDD7. Referenced by DDVideoModeList().

DDVideoMode * Ogre::DDVideoModeList::getClosestMatch | ( | int | width,
|  | int | height,
|  | int | colourDepth
| ) |

| Definition at line 120 of file OgreDDVideoModeList.cpp. References count(), Ogre::DDVideoMode::mColourDepth, Ogre::DDVideoMode::mHeight, mModeList, and Ogre::DDVideoMode::mWidth.

DDVideoMode * Ogre::DDVideoModeList::item | ( | int | index | ) |

| Definition at line 109 of file OgreDDVideoModeList.cpp. References mModeList. Referenced by Ogre::D3DRenderSystem::initialise(), and Ogre::D3DRenderSystem::refreshDDSettings().

## Friends And Related Function Documentation

HRESULT CALLBACK DDEnumModesCallback | ( | LPDDSURFACEDESC2 | lpDDSD2,
|  | LPVOID | lpContext
| ) | `[friend]`

| Definition at line 32 of file OgreDDVideoModeList.cpp. Referenced by enumerate().

## Member Data Documentation

LPDIRECTDRAW7 Ogre::DDVideoModeList::lpDD7`[private]`

| Definition at line 44 of file OgreDDVideoModeList.h. Referenced by DDVideoModeList(), and enumerate().

std::vector<DDVideoMode> Ogre::DDVideoModeList::mModeList`[private]`

| Definition at line 47 of file OgreDDVideoModeList.h. Referenced by AddMode(), count(), getClosestMatch(), item(), and ~DDVideoModeList().

The documentation for this class was generated from the following files:

- OgreDDVideoModeList.h
- OgreDDVideoModeList.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:31 2004